Package org.bukkit.block.data.type

# Interface RespawnAnchor

All Superinterfaces:
  `BlockData`, `Cloneable`

public interface RespawnAnchor extends BlockData
'charges' represents the amount of times the anchor may still be used.

## Method Summary

Modifier and Type
Method
Description
`int`
`getCharges()`
Gets the value of the 'charges' property.
`int`
`getMaximumCharges()`
Gets the maximum allowed value of the 'charges' property.
`void`
`setCharges(int charges)`
Sets the value of the 'charges' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

## Method Details

### getCharges

int getCharges()
Gets the value of the 'charges' property.

Returns:
  the 'charges' value

### setCharges

void setCharges(int charges)
Sets the value of the 'charges' property.

Parameters:
  `charges` - the new 'charges' value

### getMaximumCharges

int getMaximumCharges()
Gets the maximum allowed value of the 'charges' property.

Returns:
  the maximum 'charges' value